<?php
/* Depends on : nothing */

// Checks wether an emaili looks correct
function IsEmail($email) {
  if ( ereg ("^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*$",
  $email, $regs) ) {
          return true;
  } else {
          return false;
  }
}

// Checks wether an url exists
function IsFile($url) {
  global $no_url_check;

  // Always return true if $no_url_check == true
  if ( $no_url_check == true ) {
          return true;
  } else {
    // Otherwise
    // an http:// or a ftp:// should be included to specify the protocole
    // to use. If not, the file to test will be considered as a local one.
    $fp = @fopen($url, "r");
    if ( !$fp ) {
      return false;
    }
    else {
      return true;
    }
    fclose($fp);
  }
}

// Converts a 'human' search string in sql. Any space (' ') in the string is
// considered as a logical 'AND'
function Txt2Sql($search_pattern, $col_name) {
  $cells = explode(' ', $search_pattern);
  $iterations = count($cells);
  $i = 0;
  $sql_pattern = '';
  if ( $iterations < 1 ) {
    $sql_pattern = "$col_name like '%$search_pattern%'";
  } else {
    while ( $i < $iterations ) {
      if ( $i > 0 ) {
        $sql_pattern .= ' AND ';
      }
      $sql_pattern .= "$col_name like '%$cells[$i]%'";
      $i++;
    }
  }
  return $sql_pattern;
}

// Returns the complete name of a topic when given its id
function GetTopicById($id) {
  $query = "SELECT title FROM topics WHERE id = '$id'";
  $result = db_query($query);
  $row = db_fetch_row($result);
  return $row[0];
}

?>
